SeExpr

Public Slots | Signals | Public Member Functions | Public Attributes | Protected Member Functions | Private Slots | Private Member Functions | Private Attributes | List of all members
ExprDialog Class Reference

`#include <ExprDialog.h>`

Inheritance diagram for ExprDialog:

## Public Slots
void | applyExpression ()
void | clearExpression ()
void | reject ()

## Signals
void | preview ()
void | expressionApplied ()
void | dialogClosed ()

## Public Member Functions
| ExprDialog (QWidget *parent)
std::string | getExpressionString ()
void | setExpressionString (const std::string &str)
void | show ()
int | exec ()
void | showEditor (int idx)

## Public Attributes
ExprEditor * | editor
ExprBrowser * | browser

## Protected Member Functions
void | keyPressEvent (QKeyEvent *event)
void | findHelper (QTextDocument::FindFlags flags)
void | closeEvent (QCloseEvent *event)

## Private Slots
void | previewExpression ()
void | verifiedApply ()
void | verifiedAccept ()
void | findNextInHelp ()
void | findPrevInHelp ()
void | _showEditor ()

## Private Member Functions
void | setupHelp (QTabWidget *tab)

## Private Attributes
ExprGrapherWidget * | grapher
QLabel * | previewCommentLabel
QPushButton * | acceptButton
QPushButton * | cancelButton
ExprControlCollection * | controls
QPushButton * | applyButton
QPushButton * | previewButton
QPushButton * | saveButton
QPushButton * | saveAsButton
QPushButton * | saveLocalButton
QPushButton * | clearButton
QLineEdit * | helpFindBox
QTimer * | showEditorTimer
QTextBrowser * | helpBrowser
QTextCursor | cursor
QString | prevFind
int | _currentEditorIdx

## Detailed Description

Definition at line 44 of file ExprDialog.h.

## Constructor & Destructor Documentation

## ◆ ExprDialog()

ExprDialog::ExprDialog | ( | QWidget * | parent | ) |

Definition at line 35 of file ExprDialog.cpp.

References _showEditor(), acceptButton, applyButton, browser, cancelButton, clearButton, clearExpression(), controls, editor, grapher, preview(), previewButton, previewCommentLabel, previewExpression(), reject(), saveAsButton, saveButton, saveLocalButton, setupHelp(), showEditorTimer, verifiedAccept(), and verifiedApply().

## Member Function Documentation

## ◆ _showEditor

void ExprDialog::_showEditor | ( |  | ) |
| private slot

Definition at line 146 of file ExprDialog.cpp.

References _currentEditorIdx, controls, and ExprControlCollection::showEditor().

Referenced by ExprDialog().

## ◆ applyExpression

void ExprDialog::applyExpression | ( |  | ) |
| slot

Definition at line 284 of file ExprDialog.cpp.

References ExprEditor::addError(), ExprEditor::clearErrors(), editor, ExprGrapherWidget::expr, BasicExpression::funcmap, SeExpr2::Expression::getErrors(), ExprEditor::getExpr(), grapher, SeExpr2::Expression::isValid(), ExprEditor::nextError(), previewCommentLabel, BasicExpression::setExpr(), ExprGrapherWidget::update(), and BasicExpression::varmap.

Referenced by previewExpression(), verifiedAccept(), and verifiedApply().

## ◆ clearExpression

void ExprDialog::clearExpression | ( |  | ) |
| slot

Definition at line 332 of file ExprDialog.cpp.

References browser, ExprBrowser::clearSelection(), editor, ExprGrapherWidget::expr, grapher, BasicExpression::setExpr(), ExprEditor::setExpr(), and ExprGrapherWidget::update().

Referenced by ExprDialog(), and setExpressionString().

## ◆ closeEvent()

void ExprDialog::closeEvent | ( | QCloseEvent * | event | ) |
| protected

Definition at line 167 of file ExprDialog.cpp.

References dialogClosed().

## ◆ dialogClosed

void ExprDialog::dialogClosed | ( |  | ) |
| signal

Referenced by closeEvent(), reject(), and verifiedAccept().

## ◆ exec()

int ExprDialog::exec | ( |  | ) |

Definition at line 155 of file ExprDialog.cpp.

References browser, ExprBrowser::expandAll(), and ExprBrowser::getExpressionDirs().

Referenced by main().

## ◆ expressionApplied

void ExprDialog::expressionApplied | ( |  | ) |
| signal

Referenced by verifiedAccept(), and verifiedApply().

## ◆ findHelper()

void ExprDialog::findHelper | ( | QTextDocument::FindFlags | flags | ) |
| protected

Definition at line 265 of file ExprDialog.cpp.

References helpBrowser, helpFindBox, and prevFind.

Referenced by findNextInHelp(), and findPrevInHelp().

## ◆ findNextInHelp

void ExprDialog::findNextInHelp | ( |  | ) |
| private slot

Definition at line 275 of file ExprDialog.cpp.

References findHelper().

Referenced by setupHelp().

## ◆ findPrevInHelp

void ExprDialog::findPrevInHelp | ( |  | ) |
| private slot

Definition at line 277 of file ExprDialog.cpp.

References findHelper().

Referenced by setupHelp().

## ◆ getExpressionString()

std::string ExprDialog::getExpressionString | ( |  | ) |
| inline

Definition at line 70 of file ExprDialog.h.

References editor, and ExprEditor::getExpr().

Referenced by ExprShortEdit::expressionApplied(), and main().

## ◆ keyPressEvent()

void ExprDialog::keyPressEvent | ( | QKeyEvent * | event | ) |
| protected

Definition at line 162 of file ExprDialog.cpp.

## ◆ preview

void ExprDialog::preview | ( |  | ) |
| signal

Referenced by ExprDialog(), and previewExpression().

## ◆ previewExpression

void ExprDialog::previewExpression | ( |  | ) |
| private slot

Definition at line 279 of file ExprDialog.cpp.

References applyExpression(), and preview().

Referenced by ExprDialog().

## ◆ reject

void ExprDialog::reject | ( |  | ) |
| slot

Definition at line 172 of file ExprDialog.cpp.

References dialogClosed().

Referenced by ExprDialog().

## ◆ setExpressionString()

void ExprDialog::setExpressionString | ( | const std::string & | str | ) |
| inline

Definition at line 72 of file ExprDialog.h.

References clearExpression(), editor, and ExprEditor::setExpr().

Referenced by main(), and ExprShortEdit::showDetails().

## ◆ setupHelp()

void ExprDialog::setupHelp | ( | QTabWidget * | tab | ) |
| private

Definition at line 215 of file ExprDialog.cpp.

References findNextInHelp(), findPrevInHelp(), helpBrowser, and helpFindBox.

Referenced by ExprDialog().

## ◆ show()

void ExprDialog::show | ( |  | ) |

Definition at line 148 of file ExprDialog.cpp.

References browser, ExprBrowser::expandAll(), and ExprBrowser::getExpressionDirs().

Referenced by main(), and ExprShortEdit::showDetails().

## ◆ showEditor()

void ExprDialog::showEditor | ( | int | idx | ) |

Definition at line 140 of file ExprDialog.cpp.

References _currentEditorIdx, and showEditorTimer.

Referenced by ExprShortEdit::showDetails().

## ◆ verifiedAccept

void ExprDialog::verifiedAccept | ( |  | ) |
| private slot

Definition at line 193 of file ExprDialog.cpp.

References applyExpression(), dialogClosed(), ExprGrapherWidget::expr, expressionApplied(), grapher, and SeExpr2::Expression::isValid().

Referenced by ExprDialog().

## ◆ verifiedApply

void ExprDialog::verifiedApply | ( |  | ) |
| private slot

Definition at line 177 of file ExprDialog.cpp.

References applyExpression(), ExprGrapherWidget::expr, expressionApplied(), grapher, and SeExpr2::Expression::isValid().

Referenced by ExprDialog().

## Member Data Documentation

## ◆ _currentEditorIdx

int ExprDialog::_currentEditorIdx
| private

Definition at line 65 of file ExprDialog.h.

Referenced by _showEditor(), and showEditor().

## ◆ acceptButton

QPushButton* ExprDialog::acceptButton
| private

Definition at line 54 of file ExprDialog.h.

Referenced by ExprDialog().

## ◆ applyButton

QPushButton* ExprDialog::applyButton
| private

Definition at line 58 of file ExprDialog.h.

Referenced by ExprDialog().

## ◆ browser

ExprBrowser* ExprDialog::browser

Definition at line 49 of file ExprDialog.h.

Referenced by clearExpression(), exec(), ExprDialog(), show(), and ExprShortEdit::showDetails().

## ◆ cancelButton

QPushButton* ExprDialog::cancelButton
| private

Definition at line 55 of file ExprDialog.h.

Referenced by ExprDialog().

## ◆ clearButton

QPushButton * ExprDialog::clearButton
| private

Definition at line 59 of file ExprDialog.h.

Referenced by ExprDialog().

## ◆ controls

ExprControlCollection* ExprDialog::controls
| private

Definition at line 56 of file ExprDialog.h.

Referenced by _showEditor(), and ExprDialog().

## ◆ cursor

QTextCursor ExprDialog::cursor
| private

Definition at line 63 of file ExprDialog.h.

## ◆ editor

ExprEditor* ExprDialog::editor

Definition at line 48 of file ExprDialog.h.

Referenced by applyExpression(), clearExpression(), ExprDialog(), getExpressionString(), setExpressionString(), and ExprShortEdit::showDetails().

## ◆ grapher

ExprGrapherWidget* ExprDialog::grapher
| private

Definition at line 52 of file ExprDialog.h.

Referenced by applyExpression(), clearExpression(), ExprDialog(), verifiedAccept(), and verifiedApply().

## ◆ helpBrowser

QTextBrowser* ExprDialog::helpBrowser
| private

Definition at line 62 of file ExprDialog.h.

Referenced by findHelper(), and setupHelp().

## ◆ helpFindBox

QLineEdit* ExprDialog::helpFindBox
| private

Definition at line 60 of file ExprDialog.h.

Referenced by findHelper(), and setupHelp().

## ◆ prevFind

QString ExprDialog::prevFind
| private

Definition at line 64 of file ExprDialog.h.

Referenced by findHelper().

## ◆ previewButton

QPushButton * ExprDialog::previewButton
| private

Definition at line 58 of file ExprDialog.h.

Referenced by ExprDialog().

## ◆ previewCommentLabel

QLabel* ExprDialog::previewCommentLabel
| private

Definition at line 53 of file ExprDialog.h.

Referenced by applyExpression(), and ExprDialog().

## ◆ saveAsButton

QPushButton * ExprDialog::saveAsButton
| private

Definition at line 58 of file ExprDialog.h.

Referenced by ExprDialog().

## ◆ saveButton

QPushButton * ExprDialog::saveButton
| private

Definition at line 58 of file ExprDialog.h.

Referenced by ExprDialog().

## ◆ saveLocalButton

QPushButton* ExprDialog::saveLocalButton
| private

Definition at line 59 of file ExprDialog.h.

Referenced by ExprDialog().

## ◆ showEditorTimer

QTimer* ExprDialog::showEditorTimer
| private

Definition at line 61 of file ExprDialog.h.

Referenced by ExprDialog(), and showEditor().

The documentation for this class was generated from the following files:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprDialog.h
- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprDialog.cpp